import request from "../plugins/request";

/** 登录或注册 */
export const api_login = (params: any) => {
  return request({
    url: `/edu-app/userlogin`,
    noToken: true,
    method: "POST",
    requestType: 'form',
    data: params,
  } as any);
};

/** 获取用户信息 */
export const api_queryUserInfo = (params: any) => {
  return request({
    url: `/edu-app/user/getUserInfo`,
    method: "get",
    data: params,
  } as any);
};


/** 获取商品信息 */
export const api_shopProduct = (params: any) => {
  return request({
    url: `/edu-app/open/shop/product`,
    method: "get",
    data: params,
  } as any);
};

/** 获取乐器信息 */
export const api_shopInstruments = (params: any) => {
  return request({
    url: `/edu-app/open/shop/instruments`,
    method: "get",
    data: params,
  } as any);
};

/** 用户下单 */
export const api_executeOrder = (params: any) => {
  return request({
    url: `/edu-app/userPaymentOrder/executeOrder`,
    method: "post",
    data: params,
  } as any);
};

/** 用户下单 */
export const api_executePayment = (params: any) => {
  return request({
    url: `/edu-app/open/userOrder/executePayment`,
    method: "post",
    data: params,
  } as any);
};

/** 查询待支付信息 */
export const api_userPaymentOrderUnpaid = (params: any) => {
  return request({
    url: `/edu-app/userPaymentOrder/unpaid`,
    method: "get",
    data: params,
  } as any);
};

/** 获取配置参数 */
export const api_queryByParamName = (params: any) => {
  return request({
    url: `/edu-app/sysParamConfig/queryByParamName`,
    method: "get",
    data: params,
  } as any);
};

/** 订单列表 */
export const api_studentOrderPage = (params: any) => {
  return request({
    url: `/edu-app/userPaymentOrder/studentOrderPage`,
    method: "post",
    data: params,
  } as any);
};


/** 订单详情 */
export const api_userPaymentOrderDetail = (orderNo: string) => {
  return request({
    url: `/edu-app/userPaymentOrder/detail/${orderNo}?version=V2`,
    method: "get"
  } as any);
};

/** 订单取消退款 */
export const api_userPaymentCancelRefund = (userRefundOrderId: string) => {
  return request({
    url: `/edu-app/userPaymentOrder/cancelRefund/${userRefundOrderId}`,
    method: "post"
  } as any);
};

/** 订单申请退款 */
export const api_userPaymentOrderRefundPayment = (data: any) => {
  return request({
    url: `/edu-app/userPaymentOrder/refundPayment`,
    method: "post",
    data
  } as any);
};

/** 查询受益人列表 */
export const api_getUserBeneficiaryPage = () => {
  return request({
    url: `/edu-app/userBeneficiary/page`,
    method: "post",
    data: {
      page: 1,
      rows: 9999
    }
  } as any);
};

/** 新增受益人 */
export const api_userBeneficiarySave = (params: any) => {
  return request({
    url: `/edu-app/userBeneficiary/save`,
    method: "post",
    data: params,
  } as any);
};

/** 修改受益人 */
export const api_userBeneficiaryUpdate = (params: any) => {
  return request({
    url: `/edu-app/userBeneficiary/update`,
    method: "post",
    data: params,
  } as any);
};

/** 删除受益人 */
export const api_userBeneficiaryRemove = (id: string) => {
  return request({
    url: `/edu-app/userBeneficiary/remove/${id}`,
    method: "get"
  } as any);
};

/** 受益人详情 */
export const api_userBeneficiaryDetail = (id: string) => {
  return request({
    url: `/edu-app/userBeneficiary/detail/${id}`,
    method: "get"
  } as any);
};
/** 获取省市区 */
export const api_sysAreaQueryAllProvince = (params: any) => {
  return request({
    url: `/edu-app/open/sysArea/queryAllProvince`,
    method: "get",
    params: params,
  } as any);
};

/** 获取学校列表 */
export const api_schoolAreaList = (params: any) => {
  return request({
    url: `/edu-app/open/schoolArea/list`,
    method: "post",
    data: params,
  } as any);
};

/** 获取地区学校详情 */
export const api_schoolAreaDetail = (params: any) => {
  return request({
    url: `/edu-app/open/schoolArea/detail/${params.id}`,
    method: "get"
  } as any);
};

/** 查询收货地址列表 */
export const api_getUserReceiveAddressPage = () => {
  return request({
    url: `/edu-app/userReceiveAddress/page`,
    method: "post",
    data: {
      page: 1,
      rows: 9999
    }
  } as any);
};

/** 新增收货地址 */
export const api_userReceiveAddressSave = (params: any) => {
  return request({
    url: `/edu-app/userReceiveAddress/save`,
    method: "post",
    data: params,
  } as any);
};

/** 修改收货地址 */
export const api_userReceiveAddressUpdate = (params: any) => {
  return request({
    url: `/edu-app/userReceiveAddress/update`,
    method: "post",
    data: params,
  } as any);
};

/** 删除收货地址  */
export const api_userReceiveAddressRemove = (id: string) => {
  return request({
    url: `/edu-app/userReceiveAddress/remove?id=${id}`,
    method: "post"
  } as any);
};

/** 收货地址详情 */
export const api_userReceiveAddressDetail = (id: string) => {
  return request({
    url: `/edu-app/userReceiveAddress/detail/${id}`,
    method: "get"
  } as any);
};