import { api_getUserBeneficiaryPage, api_userBeneficiaryRemove } from "../../api/login";

const GRADE_ENUM = {
  '1': '一年级',
  '2': '二年级',
  '3': '三年级',
  '4': '四年级',
  '5': '五年级',
  '6': '六年级',
  '7': '七年级',
  '8': '八年级',
  '9': '九年级'
} as any

Page({
  data: {
    id: "", //当前选中的id
    popupShow: false,
    selectedId: "",
    memberList: []
  },
  onShow() {
    this.getPageList()
  },
  onLoad(options: any) {
    const { id } = options;
    this.setData({
      id
    })
  },
  async getPageList() {
    try {
      const resData = await api_getUserBeneficiaryPage()
      const pageRows = resData?.data?.data?.rows || []
      this.setData({
        memberList: pageRows
      })
      // 编辑 完了之后刷新上一页的数据
      const item = this.data.memberList.find(((item: any) => {
        return item.id === this.data.id
      }))
      this.setPagesData(item)
    } catch (e) {
      console.log(e, 'e')
    }
  },
  onDialogClose() {
    this.setData({
      popupShow: false
    })
  },
  async onDialogOk() {
    try {
      const { data } = await api_userBeneficiaryRemove(this.data.selectedId)
      if (data.code === 200) {
        this.setData({
          popupShow: false
        })
        await this.getPageList()
        // 当删的是当前选中的
        if (this.data.selectedId === this.data.id) {
          let item: any
          if (this.data.memberList.length) {
            item = this.data.memberList[0]
            this.setData({
              id: item.id
            })
          }
          this.setPagesData(item)
        }
      }
    } catch (e: any) { }
  },
  onDel(e: any) {
    const { dataset } = e.currentTarget
    this.setData({
      selectedId: dataset.id
    })
    this.setData({
      popupShow: true
    })
  },
  onEdit(e: any) {
    const { dataset } = e.currentTarget
    wx.navigateTo({
      url: `/pages/member/addMember?id=${dataset.id}`
    });
  },
  onAdd() {
    wx.navigateTo({
      url: `/pages/member/addMember`
    });
  },
  onSelect(e: any) {
    const { dataset } = e.currentTarget
    const item = dataset.item;
    this.setPagesData(item)
    wx.navigateBack()
  },
  setPagesData(item: any) {
    const pages = getCurrentPages();
    const prevPage = pages[pages.length - 2]; // 获取上一个页面实例
    prevPage.setData({ memberInfo: item ? { id: item.id, name: item.name, phone: item.phone, schoolInfo: item.provinceName + item.cityName + (item.regionName || "") + item.schoolAreaName + GRADE_ENUM[item.currentGradeNum] + item.currentClass + "班" } : {} });
  }
})